/*	Author:		Magdin Stoica
	Supervisor: Dr. Ryan Leduc
	
	Project created in conformity with the requirements for the Degree of Master of Engineering in Software Engineering, 
	Computing and Software Department, 
	McMaster University
	2003 - 2007
*/

#include <QApplication>
#include <iostream>
#include <QString>
#include <QMessageBox>
#include "MainForm.h"
#include "CommonDefinitions.h"

using namespace DESpot;

int main(int argc, char* argv[])
{
	try
	{
		Q_INIT_RESOURCE(DESpot);
		
		QApplication app(argc, argv);
		MainForm*	 mainForm = new MainForm;
		mainForm->open();
		return app.exec();
	}
	catch(EXO)
	{
		QMessageBox::critical(null, QString("DESpot Error"), exo_msg());	
                return -1;
	}
	catch(...)
	{
		QMessageBox::critical(null, QString("DESpot Error"), "An unhandled exception was detected. Program will terminate.");
                return -1;
	}
}

